Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event
Class DeferredValueChangedEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cocoon.forms.event.WidgetEvent
              org.apache.cocoon.forms.event.ValueChangedEvent
                  org.apache.cocoon.forms.event.DeferredValueChangedEvent

All Implemented Interfaces:
  Serializable

public class DeferredValueChangedEvent
extends ValueChangedEvent

A `ValueChangedEvent` that defers getting the new value from the widget until it's actually requested.

This allows widget validity to be checked only if a listener actually uses the value, thus avoiding unnecessary validation warnings when a user clicks an action.

Version:
  $Id: DeferredValueChangedEvent.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DeferredValueChangedEvent(Widget source, Object oldValue)`

Method Summary
`Object` | `getNewValue()`

Methods inherited from class org.apache.cocoon.forms.event.ValueChangedEvent
`getOldValue`

Methods inherited from class org.apache.cocoon.forms.event.WidgetEvent
`getSourceWidget`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeferredValueChangedEvent

    public DeferredValueChangedEvent(Widget source,
                                     Object oldValue)

Method Detail

### getNewValue

    public Object getNewValue()

  Overrides:
    `getNewValue` in class `ValueChangedEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.